{#
 * Copyright (C) 2014, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 * 
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
#}
{% extends "@ChillPerson/Person/layout.html.twig"  %}

{% set activeRouteKey = 'report_select_type' %}

{% block title %}{{ 'Add a report'|trans }}{% endblock title %}

{% block content %}
    {{ form_start(form) }}

    {{ form_row(form.user) }}
    {{ form_row(form.date) }}
    {{ form_row(form.scope) }}
    {{ form_row(form.cFData) }}
        <ul class="sticky-form-buttons record_actions">
            <li class="cancel">
                <a href="{{ path('report_list', { 'person_id': person.id } ) }}" class="btn btn-cancel">{{ 'Back to the list'|trans }}</a>
            <li>
            <li>
            <button class="btn btn-create" type="submit"> {{ 'Add report'|trans }}</button>
            </li>
        </ul>
    {{ form_end(form) }}
{% endblock %}

{% block js %}
<script type="text/javascript">
    chill.displayAlertWhenLeavingUnsubmittedForm('form[name="{{ form.vars.form.vars.name }}"]', '{{ "You are going to leave a page with unsubmitted data. Are you sure you want to leave ?"|trans }}');
</script>
{% endblock %}
